<html lang="it">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Learn Flexbox</title>
    <link rel="stylesheet" href="css/style.css">
    <style>
        .parent{
            display: flex;
            flex-wrap: wrap;
        }
        .child1{
            width: 220px;
            height: 220px;
            background-color: blue;
        }
        .child2{
            width: 220px;
            height: 220px;
            background-color: red;
        }
        .child3{
            width: 220px;
            height: 220px;
            background-color: blueviolet;
        }
        @media (min-width: 660px) { 
            .parent{
            width: 660px;
            height: 600px;
            border: 5px solid black;
            }
        } 
        @media (max-width: 660px) { 
            .parent{
            width: 440px;
            height: auto;
            border: 5px solid black;
            }
            .child3{
            margin: 50px;
            flex-basis: 100%;
            width: 220px;
            height: 220px;
            background-color: blueviolet;
            }
        } 
        
        
    </style>  
</head>

<body>
    <div class="parent">
        <div class="child1"></div>
        <div class="child2"></div>
        <div class="child3"></div>
    </div>
</body>

</html>